Loading...
Searching...
No Matches
AddParameterChecks.h File Reference

Defines the lowering pass that adds the assertions that validate scalar parameters. More...

`#include <vector>`
`#include "Expr.h"`
`#include "Target.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::add_parameter_checks (const std::vector< Stmt > &requirements, Stmt s, const Target &t)
| Insert checks to make sure that all referenced parameters meet their constraints.

## Detailed Description

Defines the lowering pass that adds the assertions that validate scalar parameters.

Definition in file AddParameterChecks.h.